Bug 804362 - [xorg-x11-drv-savage] X broken in IBM ThinkPad T23
[xorg-x11-drv-savage] X broken in IBM ThinkPad T23
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-savage (Show other bugs)
17
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 05:09 EDT by Joachim Frieben
Modified: 2014-02-18 08:34 EST (History)
2 users (show)

See Also:
Fixed In Version: xorg-x11-drv-savage-2.3.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:23:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log containing backtrace (7.09 KB, text/plain)
2012-03-18 05:11 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2012-03-18 05:09:55 EDT
Description of problem:
After upgrading from F16 to the latest F17, X is broken on my IBM ThinkPad T23. X does not start and Xorg.0.log reports:

[   104.202] Backtrace:
[   104.202] 0: /usr/bin/X (xorg_backtrace+0x4a) [0x80abe5a]
[   104.202] 1: /usr/bin/X (0x8047000+0x69dd8) [0x80b0dd8]
[   104.203] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xa6340c]
[   104.203] 
[   104.203] Segmentation fault at address (nil)

Version-Release number of selected component (if applicable):
xorg-x11-drv-savage-2.3.3-10.fc17

How reproducible:
Always.

Steps to Reproduce:
1. Launch X after installing F17.
  
Actual results:
No X. Backtrace reporting segmentation fault.

Expected results:
X starts as expected.

Additional info:
Used to work in earlier releases up to F16.
Comment 1 Joachim Frieben 2012-03-18 05:11:41 EDT
Created attachment 570869 [details]
Xorg.0.log containing backtrace
Comment 2 Joachim Frieben 2012-03-18 05:17:09 EDT
Workaround: X works after enforcing the use of driver "vesa". No xorg.conf file was present during the crash. Driver "savage" got selected automatically as expected. Neither dmesg nor /var/log/messages show a trace of the crash.
Comment 3 Erik Streb del Toro 2013-02-01 13:26:10 EST
In the forums there is a workaround. But still it is a bug I have with my Thinkpad T23 and Fedora 18, too.

Here the forums workaround:
(copied from here http://forums.fedoraforum.org/showthread.php?t=280684#3)

POSSIBLE SOLUTION:
Turning on the "DisableTile" driver option makes the driver work OK.

As root:
1) Install the xorg-x11-drv-savage driver
2) Generate an xconf.org file and copy it to /etc/X11:
Code:

Xorg :1 -configure  
# ignore "Configuration failed." message
cp xorg.conf.new /etc/X11/xorg.conf

3) Edit /etc/X11/xorg.conf and uncomment 'Option "DisableTile"' in the 'Section "Device"' that contains the Savage driver options.

If you reboot, the driver now works.

I also added "DefaultDepth 16" in each of the 'Section "Screen"' sections. I'm not sure if that helps performance or not.
Comment 4 Fedora End Of Life 2013-07-04 00:24:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 09:23:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Erik Streb del Toro 2013-12-03 16:06:47 EST
I just wanted to inform you, that this bug was finally resolved upstream. 
https://bugs.freedesktop.org/show_bug.cgi?id=63279#c30

It is not yet included in Fedora 20. An update to versions xf86-video-savage-2.3.7-1 + savage-dri-7.11.2-5 is needed. Thank you.
Comment 7 Erik Streb del Toro 2013-12-05 08:51:46 EST
I have just found this bug 1011844 which asks for updating to the upstream version 2.3.7 – hurray!
Comment 8 Fedora Update System 2013-12-05 11:04:30 EST
xorg-x11-drv-savage-2.3.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xorg-x11-drv-savage-2.3.7-1.fc20
Comment 9 Fedora Update System 2014-02-18 08:34:36 EST
xorg-x11-drv-savage-2.3.7-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.